> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cloudflare Dns Records



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/cloudflare/domains/{zone_id}/records
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/cloudflare/domains/{zone_id}/records:
    get:
      tags:
        - Cloudflare
      summary: List Cloudflare Dns Records
      operationId: >-
        list_cloudflare_dns_records_api_v1_org_cloudflare_domains__zone_id__records_get
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
        - in: path
          name: zone_id
          required: true
          schema:
            type: string
            title: Zone Id
        - in: query
          name: credential_name
          required: false
          description: >-
            Which connected Cloudflare credential to use. Omit when the
            organisation has exactly one.
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Credential Name
        - in: query
          name: name
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name
        - in: query
          name: record_type
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Record Type
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CloudflareDnsRecordListResponse'
          description: Successful Response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
        '503':
          description: Cloudflare is unavailable or rate limited
components:
  schemas:
    CloudflareDnsRecordListResponse:
      properties:
        domain:
          $ref: '#/components/schemas/CloudflareDomainResponse'
        items:
          items:
            $ref: '#/components/schemas/CloudflareDnsRecordResponse'
          type: array
          title: Items
        is_truncated:
          type: boolean
          title: Is Truncated
      required:
        - domain
        - items
        - is_truncated
      title: CloudflareDnsRecordListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    CloudflareDomainResponse:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        status:
          type: string
          title: Status
        is_active:
          type: boolean
          title: Is Active
        paused:
          type: boolean
          title: Paused
        type:
          title: Type
          type: string
        credential_name:
          title: Credential Name
          type: string
        account_id:
          type: string
          title: Account Id
        account_name:
          type: string
          title: Account Name
        name_servers:
          items:
            type: string
          type: array
          title: Name Servers
        created_on:
          type: string
          title: Created On
        modified_on:
          type: string
          title: Modified On
      required:
        - id
        - name
        - status
        - is_active
        - paused
        - type
        - credential_name
        - name_servers
      title: CloudflareDomainResponse
      type: object
    CloudflareDnsRecordResponse:
      properties:
        id:
          title: Id
          type: string
        zone_id:
          type: string
          title: Zone Id
        zone_name:
          type: string
          title: Zone Name
        name:
          title: Name
          type: string
        record_type:
          title: Record Type
          type: string
        content:
          title: Content
          type: string
        ttl:
          type: integer
          title: Ttl
        is_ttl_automatic:
          type: boolean
          title: Is Ttl Automatic
        proxied:
          type: boolean
          title: Proxied
        proxiable:
          type: boolean
          title: Proxiable
        priority:
          anyOf:
            - type: integer
            - type: 'null'
          title: Priority
        comment:
          type: string
          title: Comment
        tags:
          items:
            type: string
          type: array
          title: Tags
        managed_by:
          type: string
          title: Managed By
          enum:
            - ankra
            - external
        created_on:
          type: string
          title: Created On
        modified_on:
          type: string
          title: Modified On
      required:
        - id
        - zone_id
        - zone_name
        - name
        - record_type
        - content
        - ttl
        - is_ttl_automatic
        - proxied
        - proxiable
        - tags
        - managed_by
      title: CloudflareDnsRecordResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````